package net.sf.sido.constraint.support;

import net.sf.sido.constraint.ConstraintDefinition;

public abstract class AbstractConstraintParser<T> implements ConstraintParser<T> {

	protected int getInteger(ConstraintDefinition cd, String name, boolean mainValue, boolean required, int defaultValue) {
		String value = cd.getParameter(name, mainValue, required, null);
		if (value == null) {
			return defaultValue;
		} else {
			return Integer.parseInt(value, 10);
		}
	}

}
