package net.sf.sido.constraint.support;

import net.sf.sido.constraint.ConstraintDefinition;
import net.sf.sido.constraint.StringLengthConstraint;

import com.google.common.base.Predicate;

public class StringLengthConstraintParser extends AbstractConstraintParser<String> {

	@Override
	public Predicate<String> parse(ConstraintDefinition constraintDefinition) {
		return new StringLengthConstraint(getInteger(constraintDefinition, "maxlength", true, true, 0));
	}

}
